{ File:         AlarDlg.pas }
{ Created:      Mon Sep 09 00:25:29 1991 }
{ Description:  Dialog processing functions for "Alarm" }
{               Windows application }

{{ STARTBLOCK   File Version Information (REGENERATE) }
{ Regenerated:  Mon Sep 09 00:25:29 1991 }
{ Skeleton by:  Winpro/3, a product from Louis J. Cutrona, Jr. }
{               tpw.skl version 0.05 }
{{ ENDBLOCK }

unit AlarDlg ;

interface

uses
  WinTypes,
  WinProcs,
  Strings,
  WObjects,
  StdWnds,
  AlarRC,
  AlarGbl ;

  { Note: Dialog data transfer buffers are defined and initialized }
  { in unit AlarGbl.                                               }

type
  tpdlg_SetAlarmTimeDialog = ^tdlg_SetAlarmTimeDialog ;
  tdlg_SetAlarmTimeDialog = object( TDialog )
    { Pointers for dialog control objects }
    pET_MONTH: PEdit ;     { Edittext }
    pET_DAY: PEdit ;     { Edittext }
    pET_YEAR: PEdit ;     { Edittext }
    pET_HOUR: PEdit ;     { Edittext }
    pET_MINUTE: PEdit ;     { Edittext }
    pEM_MESSAGE: PEdit ;     { Edittext }

    constructor Init( pwoParent: PWindowsObject; lpszRsrcId: PChar ) ;

    { Child-ID-based methods for dialog controls }
    procedure   ET_MONTHMethod( var Msg: TMessage );     { Edit text }
                virtual id_First + ET_MONTH ;
    procedure   ET_DAYMethod( var Msg: TMessage );     { Edit text }
                virtual id_First + ET_DAY ;
    procedure   ET_YEARMethod( var Msg: TMessage );     { Edit text }
                virtual id_First + ET_YEAR ;
    procedure   ET_HOURMethod( var Msg: TMessage );     { Edit text }
                virtual id_First + ET_HOUR ;
    procedure   ET_MINUTEMethod( var Msg: TMessage );     { Edit text }
                virtual id_First + ET_MINUTE ;
    procedure   EM_MESSAGEMethod( var Msg: TMessage );     { Edit text }
                virtual id_First + EM_MESSAGE ;
    end ;

type
  tpdlg_AboutAlarmDialog = ^tdlg_AboutAlarmDialog ;
  tdlg_AboutAlarmDialog = object( TDialog )
    { Pointers for dialog control objects }

    constructor Init( pwoParent: PWindowsObject; lpszRsrcId: PChar ) ;

    { Child-ID-based methods for dialog controls }
    end ;


implementation

{ --------------------------------------------------------------------------- }
{{ STARTBLOCK Implementation of methods for dialog dlg_SetAlarmTime (REGENERATE) }

constructor tdlg_SetAlarmTimeDialog.Init( pwoParent: PWindowsObject; lpszRsrcId: PChar ) ;
begin
  { First, do overall initialization }
  TDialog.Init( pwoParent, lpszRsrcId ) ;

  { Create control objects in same order as defined in transfer buffer }
  New( pET_MONTH, InitResource( @Self, ET_MONTH,
    SizeOf( dlg_SetAlarmTimeTransferBuf.szET_MONTH ) ) ) ;     { Edittext }
  New( pET_DAY, InitResource( @Self, ET_DAY,
    SizeOf( dlg_SetAlarmTimeTransferBuf.szET_DAY ) ) ) ;     { Edittext }
  New( pET_YEAR, InitResource( @Self, ET_YEAR,
    SizeOf( dlg_SetAlarmTimeTransferBuf.szET_YEAR ) ) ) ;     { Edittext }
  New( pET_HOUR, InitResource( @Self, ET_HOUR,
    SizeOf( dlg_SetAlarmTimeTransferBuf.szET_HOUR ) ) ) ;     { Edittext }
  New( pET_MINUTE, InitResource( @Self, ET_MINUTE,
    SizeOf( dlg_SetAlarmTimeTransferBuf.szET_MINUTE ) ) ) ;     { Edittext }
  New( pEM_MESSAGE, InitResource( @Self, EM_MESSAGE,
    SizeOf( dlg_SetAlarmTimeTransferBuf.szEM_MESSAGE ) ) ) ;     { Edittext }
  TransferBuffer := @dlg_SetAlarmTimeTransferBuf ;
end ;  { tdlg_SetAlarmTimeDialog.Init }

{ Child-ID-based methods for dialog controls }

procedure tdlg_SetAlarmTimeDialog.ET_MONTHMethod( var Msg: TMessage );     { Edit text }
begin
end ;

procedure tdlg_SetAlarmTimeDialog.ET_DAYMethod( var Msg: TMessage );     { Edit text }
begin
end ;

procedure tdlg_SetAlarmTimeDialog.ET_YEARMethod( var Msg: TMessage );     { Edit text }
begin
end ;

procedure tdlg_SetAlarmTimeDialog.ET_HOURMethod( var Msg: TMessage );     { Edit text }
begin
end ;

procedure tdlg_SetAlarmTimeDialog.ET_MINUTEMethod( var Msg: TMessage );     { Edit text }
begin
end ;

procedure tdlg_SetAlarmTimeDialog.EM_MESSAGEMethod( var Msg: TMessage );     { Edit text }
begin
end ;

{{ ENDBLOCK }
{ --------------------------------------------------------------------------- }
{{ STARTBLOCK Implementation of methods for dialog dlg_AboutAlarm (REGENERATE) }

constructor tdlg_AboutAlarmDialog.Init( pwoParent: PWindowsObject; lpszRsrcId: PChar ) ;
begin
  { First, do overall initialization }
  TDialog.Init( pwoParent, lpszRsrcId ) ;

  { Create control objects in same order as defined in transfer buffer }
  TransferBuffer := @dlg_AboutAlarmTransferBuf ;
end ;  { tdlg_AboutAlarmDialog.Init }

{ Child-ID-based methods for dialog controls }

{{ ENDBLOCK }
{ --------------------------------------------------------------------------- }

begin
  { Unit AlarDlg initialization, if any }
end.


{   E N D   O F   F I L E   AlarDlg   }
